<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  Templates.sbadmin
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @since       3.0
 */

defined('_JEXEC') or die;

$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$lang = JFactory::getLanguage();
$this->language = $doc->language;
$this->direction = $doc->direction;
$input = $app->input;
$user = JFactory::getUser();
$templatePath = $this->baseurl . '/templates/' . $this->template .'/';
// Add JavaScript Frameworks
JHtml::_('bootstrap.framework');
// $doc->addScript('templates/' . $this->template . '/js/jquery.cookie.js');


// Add Stylesheets
// $doc->addStyleSheetVersion('templates/' . $this->template . '/css/template' . ($this->direction == 'rtl' ? '-rtl' : '') . '.css');

// Load optional RTL Bootstrap CSS
JHtml::_('bootstrap.loadCss', false, $this->direction);
// Load specific language related CSS
$file = 'language/' . $lang->getTag() . '/' . $lang->getTag() . '.css';

if (is_file($file))
{
	$doc->addStyleSheetVersion($file);
}

// Detecting Active Variables
$option = $input->get('option', '');
$extension = $input->get('extension', $option);
$view = $input->get('view', '');
$layout = $input->get('layout', '');
$task = $input->get('task', '');
$itemid = $input->get('Itemid', '');
$sitename = $app->getCfg('sitename');
$hidemainmenu = $input->getBool('hidemainmenu');
// set active menu

if (in_array($extension,array("com_config", "com_checkin", "com_cache", "com_admin","com_cpanel")) ){
	$ico = 'cogs';
}
else if (in_array($extension,array("com_users", "com_users.notes")) ) {
	$ico = 'users';
}
else if (in_array($extension,array("com_menus")) ) {
	$ico = 'list';
}
else if (in_array($extension,array("com_content", "com_media")) ) {
	$ico = 'pencil-2';
}
else if (in_array($extension,array("com_installer", "com_modules", "com_plugins", "com_templates")) ) {
	$ico = 'puzzle';
}
else {
	$ico = 'cube';
}
$cpanel = ($option === 'com_cpanel');

$showSubmenu = false;
$this->submenumodules = JModuleHelper::getModules('submenu');
foreach ($this->submenumodules as $submenumodule)
{
	$output = JModuleHelper::renderModule($submenumodule);
	if (strlen($output))
	{
		$showSubmenu = true;
		break;
	}
}
$showToolbar = false;
$this->toolbar = JModuleHelper::getModules('toolbar');
foreach ($this->toolbar as $toolbar)
{
	$output = JModuleHelper::renderModule($toolbar);
	if (strlen($output))
	{
		$showToolbar = true;
		break;
	}
}

// Logo file
if ($this->params->get('logoFile'))
{
	$logo = JUri::root() . $this->params->get('logoFile');
}
else
{
	$logo = $this->baseurl . '/templates/' . $this->template . '/images/logo.png';
}

// Template Parameters
$displayHeader = $this->params->get('displayHeader', '1');
$statusFixed = $this->params->get('statusFixed', '1');
$stickyToolbar = $this->params->get('stickyToolbar', '1');
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<!-- The styles -->
	<link id="bs-css" data-path="<?php echo $templatePath  ?>css/" href="<?php echo $templatePath  ?>css/android/bootstrap.css" rel="stylesheet">
	<link href="<?php echo $templatePath  ?>css/joomla-app.css" rel="stylesheet">
	<link href="<?php echo $templatePath  ?>css/bootstrap-responsive.min.css" rel="stylesheet">
	<jdoc:include type="head" />

	<!--[if lt IE 9]>
	<script src="../media/jui/js/html5.js"></script>
	<![endif]-->
</head>

<body class="admin <?php echo $option . ' view-' . $view . ' layout-' . $layout . ' task-' . $task . ' itemid-' . $itemid; ?>" <?php if ($stickyToolbar) : ?>data-spy="scroll" data-target=".subhead" data-offset="87"<?php endif; ?>>
<!-- Top Navigation -->
<nav class="navbar navbar-inverse navbar-fixed-top">
	<div class="navbar-inner">
		<div class="container-fluid">
			<?php if (!$hidemainmenu) { ?>
				<button type="button" id="new-collapser" class="btn btn-navbar collapsed" style=" float: left;">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
			<?php } else { ?>
			<a class="brand pull-left" id="history-left" href=""><i class="icon-undo"></i></a>
			<?php  } ?>

			<a class="brand pull-left" href="<?php echo JUri::root(); ?>" title="<?php echo JText::sprintf('TPL_BSLIGHT_PREVIEW', $sitename); ?>" target="_blank">
				<i class="icon-out-2 small"></i><?php echo JHtml::_('string.truncate', $sitename, 18, false, false); ?>
			</a>
			<ul class="nav pull-right visible-phone visible-tablet">
				<li class="active">
					<a href="#" id="submenu-toggler" data-toggle="collapse" data-target=".sidebar-nav"><span class="hidden-phone"><?php echo JText::_('JOPTION_MENUS'); /* TPL_BSLIGHT_TOOLBAR'); */ ?></span>
					<i class="icon-menu"></i></a>
				</li>
			</ul>
			<?php if (!$hidemainmenu) { ?>
			<div class="nav-collapse collapse" id="mainmenu">
				<jdoc:include type="modules" name="menu" style="none" />
				<ul id="nav-user" class="nav nav-user<?php echo ($this->direction == 'rtl') ? ' pull-left' : ' pull-right'; ?>">
					<li class="dropdown">
						<a class="dropdown-toggle" data-toggle="dropdown" href="#"><span class="icon-cog"></span><span class="desktop"><?php echo JText::_('TPL_BSLIGHT_USER'); ?></span>
							<b class="caret"></b></a>
						<ul class="dropdown-menu">
							<li class="nav-header">
								<span>
									<span class="icon-user"></span>
									<strong><?php echo $user->name; ?></strong>
								</span>
							</li>
							<li>
								<a href="index.php?option=com_admin&task=profile.edit&id=<?php echo $user->id; ?>"><?php echo JText::_('TPL_BSLIGHT_EDIT_ACCOUNT'); ?></a>
							</li>
							<li>
								<a href="<?php echo JRoute::_('index.php?option=com_login&task=logout&' . JSession::getFormToken() . '=1'); ?>"><?php echo JText::_('TPL_BSLIGHT_LOGOUT'); ?></a>
							</li>
							<li class="nav-header"><span class="icon-color-palette"></span> <?php echo JText::_('THEME'); ?></li>
							<li class="theme"><a data-value="android" href="#"><i class="icon-blank"></i> Android</a></li>
							<li class="theme"><a data-value="cyborg" href="#"><i class="icon-blank"></i> Cyborg</a></li>
							<li class="theme"><a data-value="flatly" href="#"><i class="icon-blank"></i> Flatly</a></li>
							<li class="theme"><a data-value="inspiratas" href="#"><i class="icon-blank"></i> Inspiratas</a></li>
						</ul>
					</li>
				</ul>
			</div>
			<?php } ?>
			<!--/.nav-collapse -->
		</div>
	</div>
</nav>
<!-- Header -->
<?php if ($displayHeader) { ?>
	<header class="header">
		<!--<div class="container-logo">
			<img src="<?php echo $logo; ?>" class="logo" />
		</div>-->
		<div class="container-title">
			<jdoc:include type="modules" name="title" />
		</div>
	</header>
<?php } ?>
<?php if ((!$statusFixed) && ($this->countModules('status'))) { ?>
	<!-- Begin Status Module -->
	<div id="status" class="navbar status-top hidden-phone">
		<div class="btn-toolbar">
			<jdoc:include type="modules" name="status" style="no" />
		</div>
		<div class="clearfix"></div>
	</div>
	<!-- End Status Module -->
<?php } ?>
<?php if ($cpanel) { ?>
	<div class="container-main-before"></div>
<?php } ?>
<!-- container-fluid -->
<div class="container-fluid container-main">
	<section id="content">
		<!-- Begin Content -->
		<jdoc:include type="modules" name="top" style="xhtml" />
		<div class="row-fluid">
			<?php if ($showSubmenu) { ?>
				<div class="span2">
					<jdoc:include type="modules" name="submenu" style="none" />
				</div>
				<div class="span10">
			<?php } else { ?>
				<div class="span12">
			<?php } ?>
				<?php if (!$cpanel && $showToolbar) { ?>
					<div class="subhead-collapse">
						<div class="subhead">
							<div class="container-fluid">
								<div id="container-collapse" class="container-collapse"></div>
								<div class="row-fluid">
									<div class="span12">
										<jdoc:include type="modules" name="toolbar" style="no" />
									</div>
								</div>
							</div>
						</div>
					</div>
				<?php } ?>
					<div id="ajax-tmpl-component" class="<?php echo ($hidemainmenu || $option === 'com_config')? 'light' : 'dark' ?>">
					<jdoc:include type="message" />
					<?php
					// Show the page title here if the header is hidden
					if (!$displayHeader) : ?>
						<h1 class="content-title"><?php echo JHtml::_('string.truncate', $app->JComponentTitle, 0, false, false); ?></h1>
					<?php endif; ?>
					<jdoc:include type="component" />
					</div>

				</div>
			</div>
			<?php if ($this->countModules('bottom')) : ?>
				<jdoc:include type="modules" name="bottom" style="xhtml" />
			<?php endif; ?>
			<!-- End Content -->
		</div>
	</section>
	<?php if (!$this->countModules('status') || (!$statusFixed && $this->countModules('status'))) : ?>
		<footer class="footer">
			<p align="center">
				<jdoc:include type="modules" name="footer" style="no" />
				&copy; <?php echo $sitename; ?> <?php echo date('Y'); ?></p>
		</footer>
	<?php endif; ?>
</div>
<?php if (($statusFixed) && ($this->countModules('status'))) : ?>
	<!-- Begin Status Module -->
	<div id="status" class="navbar navbar-fixed-bottom">
		<div class="navbar-inner">
			<div class="btn-toolbar">

				<jdoc:include type="modules" name="status" style="no" />
				<div class="btn-group pull-right">
					<p><i class="icon icon-joomla"></i>
						<jdoc:include type="modules" name="footer" style="no" />
						&copy; <?php echo $sitename; ?> <?php echo date('Y'); ?></p>

				</div>
			</div>
		</div>
	</div>
	<!-- End Status Module -->
<?php endif; ?>
<jdoc:include type="modules" name="debug" style="none" />


<script src="<?php echo $templatePath  ?>js/template.js?v1.1" type="text/javascript"/>
<script type="text/javascript">
(function($){
	var ico = "nav .dropdown-toggle >.icon-<?php echo $ico ?>",ext = "<?php echo $extension ?>";

	$(ico).css('color','#fff').next().css('color','#fff');
	setTimeout(function()
	{
		$('a.modal').removeClass('modal');
	}, 10)

	// console.log('call');
<?php if ($stickyToolbar) { ?>

	// fix sub nav on scroll
	var $win = $(window)
		, $nav = $('.subhead')
		, navTop = $('.subhead').length && $('.subhead').offset().top - <?php if ($displayHeader || !$statusFixed) : ?>40<?php else:?>20<?php endif;?>
		, isFixed = 0

	processScroll()

	// hack sad times - holdover until rewrite for 2.1
	$nav.on('click', function()
	{
		if (!isFixed) {
			setTimeout(function()
			{
				$win.scrollTop($win.scrollTop() - 47)
			}, 10)
		}
	})

	$win.on('scroll', processScroll)

	function processScroll()
	{
		var i, scrollTop = $win.scrollTop()
		if (scrollTop >= navTop && !isFixed) {
			isFixed = 1
			$nav.addClass('subhead-fixed')
		} else if (scrollTop <= navTop && isFixed) {
			isFixed = 0
			$nav.removeClass('subhead-fixed')
		}
	}
<?php } ?>

})(jQuery);
				//jQuery(function(){jQuery('a.modal').removeClass('modal'); });
</script>
<div  id="toTop"><a href="#" class="btn btn-mini"><i class="icon-arrow-up"></i></a></div>
</body>
</html>
