<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  Templates.isis
 *
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$lang = JFactory::getLanguage();

// Add JavaScript Frameworks
JHtml::_('bootstrap.framework');
JHtml::_('bootstrap.tooltip');

// Add Stylesheets
// $doc->addStyleSheet('templates/' .$this->template. '/css/template.css');

// Load optional RTL Bootstrap CSS
JHtml::_('bootstrap.loadCss', false, $this->direction);

// Load specific language related CSS
$file = 'language/' . $lang->getTag() . '/' . $lang->getTag() . '.css';
if (is_file($file))
{
	$doc->addStyleSheet($file);
}

// Detecting Active Variables
$option   = $app->input->getCmd('option', '');
$view     = $app->input->getCmd('view', '');
$layout   = $app->input->getCmd('layout', '');
$task     = $app->input->getCmd('task', '');
$itemid   = $app->input->getCmd('Itemid', '');
$sitename = $app->getCfg('sitename');
$templatePath = $this->baseurl . '/templates/' . $this->template .'/';
// Check if debug is on
$config = JFactory::getConfig();
$debug  = (boolean) $config->get('debug');
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<link id="bs-css" data-path="<?php echo $templatePath  ?>css/" href="<?php echo $templatePath  ?>css/android/bootstrap.css" rel="stylesheet">
	<link href="<?php echo $templatePath  ?>css/joomla-app.css" rel="stylesheet">
		<jdoc:include type="head" />
	<script type="text/javascript">
		jQuery( function ()
		{
			user = document.getElementById('mod-login-username');
			user.select();
			user.focus();
		});
	</script>
	<style>
	body.view-login{min-height:0;color:#616161;
background-position:top;
background: #bebebe;

}
.footer {
padding: 8px;
}
	.brand img{width:auto;}
	.container-fluid .brand {margin:5px 12px;}
	.view-login .container {
		max-width: 400px;
		margin: 0 auto;
		margin-top: 150px;
	}
	#form-login {margin : 0px;}
	.footer p{font-size:14px;}
		/* Responsive Styles */
		@media (max-width: 767px) {
			body.view-login .container {
				margin-top: 64px;
				max-width: 90%;
			}
			.btn {
				font-size: 13px;
				padding: 4px 10px 4px;
			}
		}
		
		@media (max-height: 400px) {
			.navbar-fixed-bottom {
				position: static;
			}
		
		}
		<?php if ($debug) : ?>
			.view-login .container {
				position: static;
				margin-top: 20px;
				margin-left: auto;
				margin-right: auto;
			}
			.view-login .navbar-fixed-bottom {
				display: none;
			}
		<?php endif; ?>
	</style>
	<!--[if lt IE 9]>
		<script src="../media/jui/js/html5.js"></script>
	<![endif]-->
</head>

<body class="site <?php echo $option . " view-" . $view . " layout-" . $layout . " task-" . $task . " itemid-" . $itemid . " ";?>">
<nav class="navbar navbar navbar-fixed-top">
	<div class="navbar-inner">
		<div class="container-fluid">
			<div class="brand"><img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/images/joomla.png" alt="Joomla!" /></div>
			<h4 class="brand pull-right"><?php echo $sitename; ?></h4>
		</div>
	</div>
</nav>
	<!-- Container -->
	<div class="container">
		
		<div id="content">
			<!-- Begin Content -->
			<div id="element-box" class="box login well center">
				<h1 class="page-header"><?php echo JText::_('COM_LOGIN') ?></h1>
				
				<jdoc:include type="message" />
				<jdoc:include type="component" />
				<a class="center btn btn-block" href="<?php echo JUri::root(); ?>" target="_blank" class="pull-left"><i class="icon-share icon"></i> <?php echo JText::_('COM_LOGIN_RETURN_TO_SITE_HOME_PAGE') ?></a>
			</div>
			<noscript>
				<?php echo JText::_('JGLOBAL_WARNJAVASCRIPT') ?>
			</noscript>
			
			<!-- End Content -->
		</div>
	</div>
	<div class="navbar navbar-fixed-bottom">
		<div class="navbar-inner">
			<div class="footer"><p class="pull-right">&copy; <?php echo $sitename; ?> <?php echo date('Y');?></p>
				<a class="login-joomla pull-left" href="http://www.joomla.org" target="_blank" class="hasTooltip" title="<?php echo JHtml::tooltipText('TPL_BSLIGHT_ISFREESOFTWARE');?>">Joomla!&#174;</a>
				<div class="center"><img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/images/Android_Robot_24.png" alt="Android" /> Template by <a href="http://www.st42.fr" target="_blank" class="hasTooltip" title="<?php echo JHtml::tooltipText('JGLOBAL_VIEW_SITE');?> STUDIO 42"> Studio 42 France</a></div>
			</div>
		</div>
	</div>
	<jdoc:include type="modules" name="debug" style="none" />
</body>
</html>
